Bug 1577966 - In partition tables, problem with snippet check-box together with operating system
Summary: In partition tables, problem with snippet check-box together with operating s...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Provisioning Templates
Version: 6.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium vote
Target Milestone: Released
Assignee: Ondřej Pražák
QA Contact: tstrych
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-14 14:13 UTC by tstrych
Modified: 2019-10-07 17:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-14 12:37:19 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:1222 None None None 2019-05-14 12:37:27 UTC
Foreman Issue Tracker 23705 None None None 2018-05-25 09:51:00 UTC

Description tstrych 2018-05-14 14:13:27 UTC
Description of problem:
Checked snippet and chosen OS family at the same time.
There is more ways how to get to this state.

In create partition table choose the OS family and than click on snippet and OS family will hide and than submit. In Partition table menu is just created partition table with both the snippet and with OS family at the same time and that's wrong.

The same problem can happen after editing/cloning of partition table with the same way. Already OS family was chosen and in editing or cloning the snippet is checked. This leads to the same bug.

Version-Release number of selected component (if applicable):
Compose 3.

How reproducible:
Deterministic

Steps to Reproduce:
1. Hosts-> Partition Table-> Create Partition Table
2. Choose OS family and than check the box of snippet, fill other necessary inputs and submit it.
3. In partition table menu is displayed the checked snippet and written OS family at the same time.

Actual results:
Both snippet and OS family are in Partition Table

Expected results:
Just one of them should be there, OS family or snippet.

Additional info:

Comment 2 Ondřej Pražák 2018-05-25 09:50:58 UTC
Created redmine issue http://projects.theforeman.org/issues/23705 from this bug

Comment 3 pm-sat@redhat.com 2018-06-22 12:10:31 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 4 pm-sat@redhat.com 2018-06-22 12:10:34 UTC
Upstream bug assigned to oprazak@redhat.com

Comment 5 pm-sat@redhat.com 2018-07-06 16:11:59 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/23705 has been resolved.

Comment 8 tstrych 2019-02-26 13:17:54 UTC
Verified with Sat 6.5.

After creation, and also after edit, the partition tables are fixed and correct.

Comment 9 tstrych 2019-02-26 13:19:12 UTC
Forgot to change the status.

Comment 11 errata-xmlrpc 2019-05-14 12:37:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:1222


Note You need to log in before you can comment on or make changes to this bug.